## org.eclipse.datatools.connectivity.oda.design
Enum ParameterMode

    java.lang.Object
      java.lang.Enum<ParameterMode>
          org.eclipse.datatools.connectivity.oda.design.ParameterMode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ParameterMode>, org.eclipse.emf.common.util.Enumerator

    public enum ParameterMode

extends java.lang.Enum<ParameterMode>
implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration 'Parameter Mode', and utility methods for working with them. Indicates whether a parameter is of input and/or output mode.

See Also:
  `DesignPackage.getParameterMode()`

Enum Constant Summary
`IN_LITERAL` The 'In' literal object.
`IN_OUT_LITERAL` The 'In Out' literal object.
`OUT_LITERAL` The 'Out' literal object.

Field Summary
`static java.lang.String` `copyright`
`static int` `IN` The 'In' literal value.
`static int` `IN_OUT` The 'In Out' literal value.
`static int` `OUT` The 'Out' literal value.
`static java.util.List<ParameterMode>` `VALUES` A public read-only list of all the 'Parameter Mode' enumerators.

Method Summary
`static ParameterMode` `get(int value)` Returns the 'Parameter Mode' literal with the specified integer value.
`static ParameterMode` `get(java.lang.String literal)` Returns the 'Parameter Mode' literal with the specified literal value.
`static ParameterMode` `getByName(java.lang.String name)` Returns the 'Parameter Mode' literal with the specified name.
`java.lang.String` `getLiteral()`
`java.lang.String` `getName()`
`int` `getValue()`
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation.
`static ParameterMode` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ParameterMode[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### IN_LITERAL

    public static final ParameterMode IN_LITERAL

  The 'In' literal object.

  See Also:
    `IN`

### OUT_LITERAL

    public static final ParameterMode OUT_LITERAL

  The 'Out' literal object.

  See Also:
    `OUT`

### IN_OUT_LITERAL

    public static final ParameterMode IN_OUT_LITERAL

  The 'In Out' literal object.

  See Also:
    `IN_OUT`

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

### IN

    public static final int IN

  The 'In' literal value.

  See Also:
    `IN_LITERAL`, Constant Field Values

### OUT

    public static final int OUT

  The 'Out' literal value.

  See Also:
    `OUT_LITERAL`, Constant Field Values

### IN_OUT

    public static final int IN_OUT

  The 'In Out' literal value.

  See Also:
    `IN_OUT_LITERAL`, Constant Field Values

### VALUES

    public static final java.util.List<ParameterMode> VALUES

  A public read-only list of all the 'Parameter Mode' enumerators.

Method Detail

### values

    public static final ParameterMode[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ParameterMode c : ParameterMode.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ParameterMode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### get

    public static ParameterMode get(java.lang.String literal)

  Returns the 'Parameter Mode' literal with the specified literal value.

### getByName

    public static ParameterMode getByName(java.lang.String name)

  Returns the 'Parameter Mode' literal with the specified name.

### get

    public static ParameterMode get(int value)

  Returns the 'Parameter Mode' literal with the specified integer value.

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<ParameterMode>`